import request from '@/utils/request'

// 查询导入执行状态列表
export function listImport(query) {
  return request({
    url: '/system/import/list',
    method: 'get',
    params: query
  })
}

// 查询导入执行状态详细
export function getImport(id) {
  return request({
    url: '/system/import/get/' + id,
    method: 'get'
  })
}

// 新增导入执行状态
export function addImport(data) {
  return request({
    url: '/system/import/add',
    method: 'post',
    data: data
  })
}

// 修改导入执行状态
export function updateImport(data) {
  return request({
    url: '/system/import/edit',
    method: 'post',
    data: data
  })
}

// 删除导入执行状态
export function delImport(id) {
  return request({
    url: '/system/import/remove/' + id,
    method: 'get'
  })
}

// 导出导入执行状态
export function exportImport(query) {
  return request({
    url: '/system/import/export',
    method: 'get',
    params: query
  })
}
